summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Dominik Drobek <dominik.drobek@o2.pl>2018-02-14 10:54:38 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-02-17 07:42:56 +0700
commitb0a7dcf8094a71f1081adb86b33a460ba13f9f06 (patch)
tree2f05179155a26bb7894f857583491d1993885d5e /office
parent2c17ece2d35643023edf552abcdd78ce6cb21872 (diff)
downloadslackbuilds-b0a7dcf8094a71f1081adb86b33a460ba13f9f06.tar.gz
slackbuilds-b0a7dcf8094a71f1081adb86b33a460ba13f9f06.tar.xz
office/latexdiff: Added (diff utility for LaTeX files).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/latexdiff/README6
-rw-r--r--office/latexdiff/latexdiff.SlackBuild70
-rw-r--r--office/latexdiff/latexdiff.info10
-rw-r--r--office/latexdiff/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/office/latexdiff/README b/office/latexdiff/README
new file mode 100644
index 0000000000..3cc773eca7
--- /dev/null
+++ b/office/latexdiff/README
@@ -0,0 +1,6 @@
+latexdiff is a Perl script which compares LaTeX files and marks
+significant differences between them. It can be used with several
+version control systems (rcs, cvs, subversion, mercurial, and git).
+
+The package also contains latexrevise, a tool for selective removal
+of markup and text from latexdiff output.
diff --git a/office/latexdiff/latexdiff.SlackBuild b/office/latexdiff/latexdiff.SlackBuild
new file mode 100644
index 0000000000..23ac17f6af
--- /dev/null
+++ b/office/latexdiff/latexdiff.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for latexdiff
+
+# Copyright 2018 Dominik Drobek <dominik.drobek (at) o2.pl>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=latexdiff
+VERSION=${VERSION:-1.2.1}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/{bin,man/man1}
+make install INSTALLPATH=$PKG/usr
+
+# make install changes modes of man pages to 755, change them back
+chmod 644 $PKG/usr/man/man1/latex*.1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README COPYING contrib \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/latexdiff/latexdiff.info b/office/latexdiff/latexdiff.info
new file mode 100644
index 0000000000..438ca0f86d
--- /dev/null
+++ b/office/latexdiff/latexdiff.info
@@ -0,0 +1,10 @@
+PRGNAM="latexdiff"
+VERSION="1.2.1"
+HOMEPAGE="https://www.ctan.org/tex-archive/support/latexdiff"
+DOWNLOAD="https://github.com/ftilmann/latexdiff/releases/download/1.2.1/latexdiff-1.2.1.tar.gz"
+MD5SUM="0ce89024486018f66f2ad5d74d180e22"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dominik Drobek"
+EMAIL="dominik.drobek@o2.pl"
diff --git a/office/latexdiff/slack-desc b/office/latexdiff/slack-desc
new file mode 100644
index 0000000000..c0c292049b
--- /dev/null
+++ b/office/latexdiff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+latexdiff: latexdiff (diff utility for LaTeX files)
+latexdiff:
+latexdiff: latexdiff is a Perl script which compares LaTeX files and marks
+latexdiff: significant differences between them. It can be used with several
+latexdiff: version control systems (rcs, cvs, subversion, mercurial, and git).
+latexdiff:
+latexdiff: The package also contains latexrevise, a tool for selective removal
+latexdiff: of markup and text from latexdiff output.
+latexdiff:
+latexdiff: Homepage: https://www.ctan.org/tex-archive/support/latexdiff
+latexdiff: